Skip to content
Help Center
Products

API Reference

GET /integration/v1/oauth2/authorize

Set up an OAuth connection for the IdP service

Set up an OAuth connection for the IdP service

operationId Set up an OAuth connection for the IdP service

Query parameters

Name Type Required Description
client_id string (uuid) required Client id
redirect_uri string (url) required URL where to redirect with authorization code if permission not denied
scope string required Space separated list of scopes allowed to this client like "openid profile"
response_type string optional Space separated list of response types allowed to this client like "code token"

Responses

200 Permission requested

application/json schema

{
  "type": "string"
}

412 Invalid parameters

500 Server error

512 Specification violations